local function Init()
	Button:Init(mainForm:GetChildChecked('BtnUnL', false))
	Button:Toggle(true)
	common.ToggleEventHandlers({
		SCRIPT_TOGGLE_UI = function(event)
			Button:Show(event.visible)
		end,
		U_EVENT_ADDON_MEM_USAGE_RESPONSE = function(event)
			userMods.SendEvent( "U_EVENT_ADDON_MEM_USAGE_RESPONSE", {sender = common.GetAddonName(), memUsage = gcinfo()})
		end,
		SCRIPT_ADDON_INFO_REQUEST = function(event)
			userMods.SendEvent( "SCRIPT_ADDON_INFO_RESPONSE", {sender = common.GetAddonName(), desc = common.GetAddonName().." v.16 [29/05/2011/Nikon]"})
		end,
		EVENT_DND_PICK_ATTEMPT = function(event)
			local slot = math.floor(event.srcId / DND_CONTAINER_STEP)
			local container = event.srcId - slot * DND_CONTAINER_STEP
			if container == DND_ACTIONBAR then
				if Button:GetVariant() ~= 1 and event.kbFlags ~= KBF_SHIFT then
					mission.DNDCancelDrag()
				end
			end
		end
	}, true)
end

Init()
