function table.add(t, added)
  for k, v in pairs(added) do
    t[k] = v
  end
  return t
end

function common.ToggleEventHandlers(eventHandlers, state)
	local f = state and common.RegisterEventHandler or common.UnRegisterEventHandler
	for name, handler in pairs(eventHandlers) do
		f(handler, name)
	end
end

function common.ToggleReactionHandlers(reactionHandlers, state)
	local f = state and common.RegisterReactionHandler or common.UnRegisterReactionHandler
	for name, handler in pairs(reactionHandlers) do
		f(handler, name)
	end
end
